Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceSession.Builder

java.lang.Object
ru.bitel.bgbilling.modules.voice.common.bean.VoiceSession.Builder

Enclosing class:
  `VoiceSession`

public static class VoiceSession.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VoiceSession`
  `build()`
  `VoiceSession.Builder`
  `setAccountId(int accountId)`
  `VoiceSession.Builder`
  `setAccountMap(Map<Integer,VoiceSessionAccount> accountMap)`
  `VoiceSession.Builder`
  `setAcctSessionId(String acctSessionId)`
  `VoiceSession.Builder`
  `setCalledStationId(String calledStationId)`
  `VoiceSession.Builder`
  `setCallingStationId(String callingStationId)`
  `VoiceSession.Builder`
  `setCallType(short callType)`
  `VoiceSession.Builder`
  `setCdrCallCost(BigDecimal cdrCallCost)`
  `VoiceSession.Builder`
  `setCdrCallOperCost(BigDecimal cdrCallOperCost)`
  `VoiceSession.Builder`
  `setCodeId(int codeId)`
  `VoiceSession.Builder`
  `setContractId(int contractId)`
  `VoiceSession.Builder`
  `setCostMapItemId(int costMapItemId)`
  `VoiceSession.Builder`
  `setDestinationId(int destinationId)`
  `VoiceSession.Builder`
  `setDeviceId(int deviceId)`
  `VoiceSession.Builder`
  `setE164CalledStationId(String e164CalledStationId)`
  `VoiceSession.Builder`
  `setE164CallingStationId(String e164CallingStationId)`
  `VoiceSession.Builder`
  `setFromPort(String fromPort)`
  `VoiceSession.Builder`
  `setHour(Date hour)`
  `VoiceSession.Builder`
  `setId(long id)`
  `VoiceSession.Builder`
  `setIdentifier(String identifier)`
  `VoiceSession.Builder`
  `setLastActive(Date lastActive)`
  `VoiceSession.Builder`
  `setMinuteCost(BigDecimal minuteCost)`
  `VoiceSession.Builder`
  `setOperatorId(int operatorId)`
  `VoiceSession.Builder`
  `setParentId(long parentId)`
  `VoiceSession.Builder`
  `setRoundedSessionTime(long roundedSessionTime)`
  `VoiceSession.Builder`
  `setServiceId(int serviceId)`
  `VoiceSession.Builder`
  `setSessionCost(BigDecimal sessionCost)`
  `VoiceSession.Builder`
  `setSessionStart(Date sessionStart)`
  `VoiceSession.Builder`
  `setSessionStop(Date sessionStop)`
  `VoiceSession.Builder`
  `setSessionTime(long sessionTime)`
  `VoiceSession.Builder`
  `setToPort(String toPort)`
  `VoiceSession.Builder`
  `setType(int type)`
  `VoiceSession.Builder`
  `setZoneId(int zoneId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public VoiceSession.Builder setId(long id)

  - ### setContractId

    public VoiceSession.Builder setContractId(int contractId)

  - ### setAccountId

    public VoiceSession.Builder setAccountId(int accountId)

  - ### setServiceId

    public VoiceSession.Builder setServiceId(int serviceId)

  - ### setOperatorId

    public VoiceSession.Builder setOperatorId(int operatorId)

  - ### setZoneId

    public VoiceSession.Builder setZoneId(int zoneId)

  - ### setCalledStationId

    public VoiceSession.Builder setCalledStationId(String calledStationId)

  - ### setE164CalledStationId

    public VoiceSession.Builder setE164CalledStationId(String e164CalledStationId)

  - ### setCallingStationId

    public VoiceSession.Builder setCallingStationId(String callingStationId)

  - ### setE164CallingStationId

    public VoiceSession.Builder setE164CallingStationId(String e164CallingStationId)

  - ### setSessionStart

    public VoiceSession.Builder setSessionStart(Date sessionStart)

  - ### setSessionStop

    public VoiceSession.Builder setSessionStop(Date sessionStop)

  - ### setSessionTime

    public VoiceSession.Builder setSessionTime(long sessionTime)

  - ### setFromPort

    public VoiceSession.Builder setFromPort(String fromPort)

  - ### setToPort

    public VoiceSession.Builder setToPort(String toPort)

  - ### setCdrCallCost

    public VoiceSession.Builder setCdrCallCost(BigDecimal cdrCallCost)

  - ### setCdrCallOperCost

    public VoiceSession.Builder setCdrCallOperCost(BigDecimal cdrCallOperCost)

  - ### setAcctSessionId

    public VoiceSession.Builder setAcctSessionId(String acctSessionId)

  - ### setRoundedSessionTime

    public VoiceSession.Builder setRoundedSessionTime(long roundedSessionTime)

  - ### setSessionCost

    public VoiceSession.Builder setSessionCost(BigDecimal sessionCost)

  - ### setLastActive

    public VoiceSession.Builder setLastActive(Date lastActive)

  - ### setDeviceId

    public VoiceSession.Builder setDeviceId(int deviceId)

  - ### setIdentifier

    public VoiceSession.Builder setIdentifier(String identifier)

  - ### setDestinationId

    public VoiceSession.Builder setDestinationId(int destinationId)

  - ### setCallType

    public VoiceSession.Builder setCallType(short callType)

  - ### setHour

    public VoiceSession.Builder setHour(Date hour)

  - ### setParentId

    public VoiceSession.Builder setParentId(long parentId)

  - ### setType

    public VoiceSession.Builder setType(int type)

  - ### setCodeId

    public VoiceSession.Builder setCodeId(int codeId)

  - ### setCostMapItemId

    public VoiceSession.Builder setCostMapItemId(int costMapItemId)

  - ### setMinuteCost

    public VoiceSession.Builder setMinuteCost(BigDecimal minuteCost)

  - ### setAccountMap

    public VoiceSession.Builder setAccountMap(Map<Integer,VoiceSessionAccount> accountMap)

  - ### build

    public VoiceSession build()